AuGetErrorHandler(3)

Name
AuGetErrorText - get a description of an error code

Synopsis
#include <audio/audiolib.h>

void AuGetErrorText(server, code, buffer_return, length)
    AuServer *server;
    int code;
    char *buffer_return; /* RETURN */
    int length;

Arguments

server
    Specifies the connection to the audio server.

code
    Specifies the error code to obtain a description of.

buffer_return
    Returns the error description.

length
    Specifies the length of the buffer.

Description
AuGetErrorText copies a NUL-terminated string describing code into buffer_return.

See Also
AuServerName, AuGetErrorDatabaseText, AuSetErrorHandler, AuSetIOErrorHandler, AuSynchronize.

audiolib - Network Audio System C Language Interface